AOZ Studio Beta - Bug #1044

Debugger bugs and additions etc. Need correcting.
01/06/2023 10:19 PM - malcolm harvey

Status: New Start date: 01/07/2023
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

Issues with the debugger.
1) If using an actor with background scrolling left (see picture (grid with scrolling actor backgrounds), the picture scrolls and is
maintained inside the preview box, but the grid continues on and outside of the boundries.

2) Only really works correctly on the default 1920x1080, It is not resetting the display width and height if custom, when toggling views
in the debugger in other custom sizes. Here below you can see what happends with another custom size...
screenshot a) Default 960,600 ok.

Next the debugger large preview..

screenshot b) Large preview running in debugger ok.

screenshot ¢) Now we have clicking debugger icon, to get it back to full screen preview. No good.
Should be like a.png above, but ends up now like, c.png (All squished up vertically).

screenshot d) Now when click debugger icon again, it comes back to debugger windows, but then
from now on the preview is permanently stuck with the wrong size not b.png again.

Again other applications don't do this that only stick to 1920x1080. (They are ok).

Here is a stock one below. (1920x1080) a screenshot, no modify display width/height.

Then click debugger button, screenshot next. (1920x1080) b screenshot.

Then now back to normal clicking debugger button it again. (1920x1080) ¢ screenshot Works correctly.

3)The scrollbars in the windows, do not let you click+hold mouse down and drag.

You have to currently try and click under or above each scrollbar pot to make them move up or down.

Also..if you click to the right of the program listing scrollbar (the one across the bottom) you can't get back to the left unless you click
in the listing and hold left cursor for ages until it scrolls one character at a time.

This effects the (Source code/Variables & also the Stack window).

4)At times, when you're doing the STEP mode, it doesn't step into the other section of code. It does un-highlight it was on, but you
don't see the current one. If you step again, the cursor will come back, highlighting the next line.

5) Can we get the the debugger be able to follow the code on an include file as well as the main code, this would be good.?
6) Could we make it so the debugger will follow the source code when running in "Slow motion" mode?... or at least make it an
option?

7) The debugger help windows, eh well this is not complete in the debugger at all. (See debuggerhelp screenshot).
Screenshots missing and also main doc linking button currently not implemented. Also debugger usage/insts etc is not actually in the
new help system.

History

#1 - 01/16/2023 01:02 PM - malcolm harvey
- Affected version changed from 1.0.0 (B17) to 1.0 (u38)

#2 - 03/31/2023 12:31 AM - malcolm harvey

Also Note: Some things im not sure are correct or not in the way it works in relation to point 2 above.

Note: That maybe ok and displaying correct because of the way that the debugger works in relation to very small 320x256 or 640x480 and 640x512
or even maybe 800x600 or 1024x768 including 1280x720 and 1280x1024 pc screens etc. It may not have been designed currently for anything under
1920x1080. (Little screen sizes always stay very tiny after toggling in debugger, because after toggling with the debugger button they preview then in
there real size not the scaled up size again (to fit the 1920x1080 debugger preview screen) as they should be so you end up with a eg: 320x256 or
640x480 etc (original screen size in the top left corner like almost a thumbnail as it would be in that size) instead of the again 320x256 scaled to full
screen until you close the debugger again and start again).

04/11/2024 1/2




#3 - 04/11/2023 08:02 AM - malcolm harvey

Same issue with U43.

#4 - 05/11/2023 11:06 PM - malcolm harvey

- Subject changed from Debugger bugs and additions etc. to Debugger bugs and additions etc. Need correcting.

Same in U43

#5 - 06/18/2023 11:53 PM - malcolm harvey

- Assignee changed from Francois Lionet to AOZ Studio Team

Same in U44.
